.EQ
delim off
.EN
.\" documentation file generated from DEInputSynch.pl by ptlang
.\" Copyright (c) 1990-1994 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "InputSynch"
.SD
Synchronizes
.c VoiceData
messages from input MPH to output MPH to allow
interfacing of a DE star to SDF-in-DE wormhole.
.SE
.LO "ATM demo library"
.DM DE DEStar
.SV 1.2 "2/6/94"
.AL "John Loh and Allen Lao"
.IH
.NE
\fIdemand\fR (anytype)
.NE
\fIdata\fR (multiple), (message)
.PE
.OH
.NE
\fIoutput\fR (multiple), (message)
.PE
.SH
.NE
\fIdelay\fR (FloatState): Delay from input to output
.DF "0.0"
.ET
.EQ
delim $$
.EN
.LD
An SDF-in-DE wormhole, in order to fire, requires at least one message
on each of its input ports.  When connecting a DE networking star to
an SDF-in-DE wormhole describing a packet switch and triggered on its
\fIdemand\fR input, this star will accept the first message on each of its
inputs and pass them through to their respective outputs.  For inputs
without messages, this star produces a null
.c VoiceData
message to send on the corresponding outputs.  Thus, execution requirements
of the wormhole will always be satisfied.
.ES
